FSFREEZE(8)

BEZEICHNUNG
fsfreeze - den Zugriff auf ein Dateisystem unterbrechen (Ext3/4, ReiserFS, JFS, XFS)

ÜBERSICHT
fsfreeze --freeze|--unfreeze Einhängepunkt

BESCHREIBUNG
fsfreeze unterbricht den Zugriff auf ein Dateisystem und nimmt ihn wieder auf.

fsfreeze verhindert neue Zugriffe auf das Dateisystem und erstellt ein stabiles Image auf der Festplatte. fsfreeze ist zur Verwendung mit Hardware-RAID-Geräten gedacht, welche die Erstellung von Schnappschüssen unterstützen.

fsfreeze ist für Device-mapper-Geräte unnötig. Der Device-mapper (und LVM) friert automatisch Dateisysteme auf dem Gerät ein, wenn die Erstellung eines Schnappschusses angefordert wird. Weitere Informationen finden Sie in der Handbuchseite zu dmsetup(8).

Das Argument Einhängepunkt ist der Pfadname des Verzeichnisses, in dem das Dateisystem eingehängt ist. Das Dateisystem muss eingehängt sein, um eingefroren zu werden (siehe mount(8)).

Beachten Sie, dass die Aktualisierungen der Zugriffszeiten ebenfalls unterbrochen werden, wenn das Dateisystem mit dem traditionellen atime-Verhalten eingehängt ist (Einhängeoption strictatime, weitere Details siehe mount(8)).

OPTIONEN

-f, --freeze
    Diese Option sorgt dafür, dass das angegebene Dateisystem eingefroren wird und weitere Änderungen nicht mehr möglich sind. Wenn dies ausgewählt ist, werden laufende Transaktionen abgeschlossen und neue schreibende Systemaufrufe sowie andere, die das Dateisystem ändern, angehalten. Sämtliche ungeschriebenen Daten, Metadaten und Protokollinformationen werden auf die Platte geschrieben. Jeder Prozess, der versucht, auf das Dateisystem zuzugreifen, wird blockiert, bis das Dateisystem wieder »aufgetaut« ist.

    Beachten Sie, dass auch nach dem Einfrieren des Dateisystems auf der Festplatte Informationen zu Dateien enthalten sein können, die sich noch im zu löschenden Zustand befinden. Diese Dateien werden nicht gelöscht, bis das Dateisystem »aufgetaut« wird oder ein sauberer Einhängevorgang des Schnappschusses abgeschlossen ist.

-u, --unfreeze
    veranlasst das »Auftauen« des Dateisystems, so dass damit weiter gearbeitet werden kann. Jegliche Änderungen am Dateisystem, die im eingefrorenen Zustand blockiert waren, werden nun wieder freigegeben und können abgeschlossen werden.

-V, --version
    zeigt Versionsinformationen an und beendet das Programm.

-h, --help
    zeigt einen Hilfetext an und beendet das Programm.

DATEISYSTEMUNTERSTÜTZUNG
Dieser Befehl funktioniert nur auf Dateisystemen, die das Einfrieren unterstützen. Zum Zeitpunkt 18.12.2016 unterstützen dies btrfs, ext2/3/4, f2fs, jfs, nilfs2, reiserfs und xfs. Die Liste kann unvollständig sein, wenn weitere Dateisysteme unterstützt werden. Im Zweifelsfall ist es am einfachsten, die Unterstützung zu ermitteln, indem eine kleine Loopback-Einhängung erstellt und das Einfrieren ausprobiert wird.

AUTOR

Geschrieben von Hajime Taira.

ANMERKUNGEN

Diese Handbuchseite basiert auf xfs_freeze(8).

SIEHE AUCH
mount(8)

VERFÜGBARKEIT
Der Befehl fsfreeze ist Teil des Pakets util-linux und kann von https://www.kernel.org/pub/linux/utils/util-linux/ heruntergeladen werden.

ÜBERSETZUNG
Die deutsche Übersetzung dieser Handbuchseite wurde von Mario Blättermann <mario.blaettermann@gmail.com> und Helge Kreutzmann <debian@helgefjell.de> erstellt. Diese Übersetzung ist Freie Dokumentation; lesen Sie die GNU General Public License Version 3 oder neuer bezüglich der Copyright-Bedingungen. Es wird KEINE HAFTUNG übernommen. Wenn Sie Fehler in der Übersetzung dieser Handbuchseite finden, schicken Sie bitte eine E-Mail an <debian-l10n-german@lists.debian.org>.